
# Tell MAKE to figure out what header files the source depends upon

.autodepend


# The "&&|" says to copy all that follows up to the next "|"
# into a temp file which is deleted at the end
#
# The temp file name would be placed on the command line where
# the "&&" is found
#
# The "@" before indicates to TLINK that this is a response file

bwccdmo1.exe : bwccdmo1.mak  bwccdmo1.def bwccdmo1.res bwccdmo1.obj
  tlink /c/v/x/Twe/C @&&|
c0ws.obj+
bwccdmo1.obj
bwccdmo1.exe
nul.map
import.lib+
bwcc.lib+
cws.lib
bwccdmo1.def
|
  brc bwccdmo1.res bwccdmo1.exe


# Compile to an object file

bwccdmo1.obj : bwccdmo1.c
  bcc -c -ms -w -v -f- -P-.C -tDe -tWE -DWIN31;STRICT bwccdmo1.c

# compile the resource file

bwccdmo1.res : bwccdmo1.rc
  brc -Ic:\bc4\include -31 -R -FO$@ bwccdmo1.rc


# If the DEF file doesn't exist, create it
# This copies everything between "&&|" and "|"
# to the file "bwccdmo1.def"

bwccdmo1.def : bwccdmo1.mak
  copy &&|
DESCRIPTION 'BWCC Demo 1'
EXETYPE     WINDOWS
CODE        PRELOAD MOVEABLE DISCARDABLE
DATA        PRELOAD MOVEABLE MULTIPLE
HEAPSIZE    4096
STACKSIZE   8192
EXPORTS     WNDPROC
| bwccdmo1.def


